/*
	Word Twiddle
	JavaScript game engine
	Version 0.9
	Copyright 2011 by Andrew Krywaniuk
	
	License is hereby granted to freely distribute this game for personal and non-commercial use.
	For other uses, please contact the author.
*/

// Includes code samples from:
// http://www.somacon.com/p143.php


// return the value of the radio button that is checked
// return an empty string if none are checked, or
// there are no radio buttons
function getCheckedValue(radioObj)
{
	if(!radioObj)
		return "";
	var radioLength = radioObj.length;
	if(radioLength == undefined)
		if(radioObj.checked)
			return radioObj.value;
		else
			return "";
	for(var i = 0; i < radioLength; i++) {
		if(radioObj[i].checked) {
			return radioObj[i].value;
		}
	}
	return "";
}

// set the radio button with the given value as being checked
// do nothing if there are no radio buttons
// if the given value does not exist, all the radio buttons
// are reset to unchecked
function setCheckedValue(radioObj, newValue)
{
	if(!radioObj)
		return;
	var radioLength = radioObj.length;
	if(radioLength == undefined) {
		radioObj.checked = (radioObj.value == newValue.toString());
		return;
	}
	for(var i = 0; i < radioLength; i++) {
		radioObj[i].checked = false;
		if(radioObj[i].value == newValue.toString()) {
			radioObj[i].checked = true;
		}
	}
}

function save_config_data()
{
	var pw = window.parent;
	var o_form = document.forms[0];
	
	var wd_len = getCheckedValue(o_form.bingo_len);
	var rd_len = getCheckedValue(o_form.round_len);
	
	dbg_msg("wd_len = " + wd_len);
	dbg_msg("rd_len = " + rd_len);

	pw.g_bingo_length = wd_len;
	pw.g_round_time = rd_len;
	pw.update_game_desc();
}


function load_config_data()
{
	var pw = window.parent;
	var o_form = document.forms[0];

	var wd_len = pw.g_bingo_length;
	var rd_len = pw.g_round_time;

	dbg_msg("wd_len = " + wd_len);
	dbg_msg("rd_len = " + rd_len);
	
	setCheckedValue(o_form.bingo_len, wd_len);
	setCheckedValue(o_form.round_len, rd_len);
}



function dlg_okay()
{
	save_config_data();
	window.parent.close_modal_dlg();
}


function dlg_cancel()
{
	window.parent.close_modal_dlg();
}


function init_config_dlg()
{
	load_config_data();
}

window.onload = init_config_dlg;

