/*
	Word Twiddle
	JavaScript game engine
	Version 0.9
	Copyright 2011 by Andrew Krywaniuk
	
	License is hereby granted to freely distribute this game for personal and non-commercial use.
	For other uses, please contact the author.
*/



// The session & career stats have a mirrored layout w/ a different prefix.
function show_sub_stats(obj, pfx)
{
	var stat_rounds = Math.min(obj.rounds_played, 100);
	var avg_score = 0;
	var average_words = 0;
	var word_iq = 0;
	var words_per_minute = 0;
	var score_per_minute = 0;
	
	// Don't divide by zero!
	if (stat_rounds)
	{
		avg_score = Math.round(obj.cum_score / stat_rounds);
	}

	if (obj.cum_words_max)
	{
		average_words = Math.round(100 * obj.cum_words_found / obj.cum_words_max);
	}

	if (obj.cum_time_played)
	{
		words_per_minute = Math.round(60 * obj.cum_words_found / obj.cum_time_played);
		score_per_minute = Math.round(60 * obj.cum_score / obj.cum_time_played);
	}

	$(pfx + "rounds_played").innerHTML = obj.rounds_played;
	$(pfx + "average_score").innerHTML = avg_score;
	$(pfx + "high_score").innerHTML = obj.high_score;
	$(pfx + "perfect_rounds").innerHTML = obj.perfect_rounds;
	$(pfx + "words_per_minute").innerHTML = words_per_minute;
	$(pfx + "score_per_minute").innerHTML = score_per_minute;
	$(pfx + "average_words").innerHTML = average_words;
}


// show_stats - update the stats dialog.
function show_stats()
{
	var pw = window.parent;
	var g_anagrams_found = pw.g_anagrams_found;
	var g_total_anagrams = pw.g_total_anagrams;
	var g_running_score = pw.g_running_score;
	var g_round_time = pw.g_round_time;
	var g_time_remaining = pw.g_time_remaining;
	
	var words_per_minute = Math.round(60 * g_anagrams_found / (g_round_time - g_time_remaining));
	var score_per_minute = Math.round(60 * g_running_score / (g_round_time - g_time_remaining));
	var average_words = Math.round(100 * g_anagrams_found / g_total_anagrams);

	$("total_anagrams").innerHTML = g_total_anagrams;
	$("anagrams_found").innerHTML = g_anagrams_found;
	$("last_score").innerHTML = g_running_score;
	$("words_per_minute").innerHTML = words_per_minute;
	$("score_per_minute").innerHTML = score_per_minute;
	$("average_words").innerHTML = average_words;

	var session_stats = pw.g_session_stats;
	var career_stats = pw.g_career_stats;

	show_sub_stats(session_stats, "s_");
	show_sub_stats(career_stats, "c_");
}

function reset_session_stats()
{
	var pw = window.parent;
	pw.reset_session_stats();
	show_stats();
}

function reset_career_stats()
{
	var pw = window.parent;
	pw.reset_career_stats();
	show_stats();
}


window.onload = show_stats;



